# Enum Class VulkanVertexInputRate

java.lang.Object
java.lang.Enum<VulkanVertexInputRate>
com.io7m.jcoronado.api.VulkanVertexInputRate

All Implemented Interfaces:
  `VulkanEnumIntegerType`, `Serializable`, `Comparable<VulkanVertexInputRate>`, `Constable`

public enum VulkanVertexInputRate extends Enum<VulkanVertexInputRate> implements VulkanEnumIntegerType

See Also:
  - "VkVertexInputRate"

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `VK_VERTEX_INPUT_RATE_INSTANCE`
  Specifies that vertex attribute addressing is a function of the instance index.
  `VK_VERTEX_INPUT_RATE_VERTEX`
  Specifies that vertex attribute addressing is a function of the vertex index.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `value()`
  `static VulkanVertexInputRate`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanVertexInputRate[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VK_VERTEX_INPUT_RATE_VERTEX

    public static final VulkanVertexInputRate VK_VERTEX_INPUT_RATE_VERTEX
    Specifies that vertex attribute addressing is a function of the vertex index.

  - ### VK_VERTEX_INPUT_RATE_INSTANCE

    public static final VulkanVertexInputRate VK_VERTEX_INPUT_RATE_INSTANCE
    Specifies that vertex attribute addressing is a function of the instance index.

- ## Method Details

  - ### values

    public static VulkanVertexInputRate[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanVertexInputRate valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public int value()
    Specified by:
      `value` in interface `VulkanEnumIntegerType`
    Returns:
      The integer value of the constant